TextCritical.net - Feature #1400

Reader centric Ul
07/18/2016 05:56 PM - Luke Murphey

Status: Closed Start date: 07/18/2016
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.0

Description

Improve the Ul to make it focus on content more. More like an application, less like a website.

Examples: https://lumina.bible.org/bible/Matthew+1#

Related issues:

Related to TextCritical.net - Feature #1289: New UX Closed 04/08/2016
Related to TextCritical.net - Task #2003: Upgrade from Bootstrap 2.3.2 Closed 08/19/2017
History

#1 - 08/16/2017 05:44 AM - Luke Murphey

- Target version set to 1.6

#2 - 08/18/2017 06:56 PM - Luke Murphey

* Replace top banner with a flat one
¢ Remove breadcrumbs
o Put link to library on top banner
o Put "search all works" in banner
o Rename "search library" to something like "open work"
e Add rendering options with:
o Font size option
o Paragraph breaks
Make top banner float
e Remove/replace bottom share buttons
¢ Add slide-out menu or a menu under a caret with:
o Report issue
o View app info (about, version)
Simplify the progress bar (put the percent to the left, text to the right)
Replace works list with one that show up on the page
Put title, author and work information in a info window
Simplify title with division text (same as that in the breadcrumb)
Make note nodes use numbers
Replace the loading progress bar with an animation
Improved search (perhaps auto-openeing when users type something like on http:/pages.revox.io/dashboard/3.0.0/html/executive/index.html)
o Might want the search panel to appear next to the work:
http://demo.interface.club/limitless/layout_1/L TR/material/starters/detached_sticky.html#

Options for loading animations:

¢ http:/www.alessioatzeni.com/blog/css3-loading-animation-loop/
e https://codepad.co/snippet/IbEeOEpT

e https://dribbble.com/shots/1918018-Circle-Loading-Animation

e https://dribbble.com/shots/1882226-Circular-Loading-Indicator
#3 - 08/19/2017 05:27 AM - Luke Murphey
- Related to Feature #1289: New UX added

#4 - 08/24/2017 05:01 PM - Luke Murphey

- Target version changed from 1.6 to Plus_4

#5 - 08/24/2017 08:15 PM - Luke Murphey
- Related to Task #2003: Upgrade from Bootstrap 2.3.2 added

#6 - 08/25/2017 12:49 AM - Luke Murphey

Can flatten the gradient on the top bar with:

.navbar—-inner {
background-image: linear—-gradient (to bottom, #222222, #222222);
}

Could flatten the gradient on the buttons with:

.btn {
border: lpx solid #ccc;
background-image: linear-gradient (to bottom, #e6e6eb, #e6e6e6) ;

}

#7 - 08/25/2017 05:00 PM - Luke Murphey

| really need to use something that can allow me to encapsulate views (Backbone, Vue, etc.). That way | can have a library loader which works can be
put on any view.

#8 - 08/25/2017 07:00 PM - Luke Murphey
- File updated_ui.png added
Nor is it possible in positions of power for vices to be concealed. Epileptics, if they go up to a high place and move about, grow dizzy and reel, which makes their disease evident, and just
so Fortune by such things as riches, reputations, or offices exalts uneducated and uncultured men a little and then, as soon as they have risen high, gives them a conspicuous fall; or, to

use a better simile, just as in a number of vessels you could not tell which is whole and which is defective, but when you pour liquid into them the leak appears, just so corrupt souls

cannot contain power, but leak out in acts of desire, anger, imposture, and bad taste. But what is the use of saying these things, when even the slightest short-comings in men of
conspicuous reputation are made the subject of calumny ? Too much wine caused slander against Cimon, too much sleep against Scipio, Lucullus was ill spoken of because his dinners
were too expensive . . .

ke Murphey 2012-2017

#9 - 09/12/2017 08:06 AM - Luke Murphey

- Target version changed from Plus_4 to 2.0
#10 - 10/05/2018 05:39 PM - Luke Murphey
- Status changed from New to Closed

- Assignee set to Luke Murphey

Files

updated_ui.png 193 KB 08/25/2017 Luke Murphey
